<template>
	<v-app-bar height="102" flat absolute class="px-8">
		<v-toolbar color="white" class="d-flex justify-space-between">
			<v-btn
				class="btn__down mr-6 border ml-0 pa-2"
				v-if="$route.params.id || $route.path === '/create-employee'"
				@click="$router.go(-1)"
			></v-btn>

			<v-toolbar-title v-if="!$route.params.id">
				{{ title }}
			</v-toolbar-title>

			<v-toolbar-title v-else> Edit page </v-toolbar-title>

			<div class="d-flex align-center">
				<v-avatar color="#F3F6F8">
					<v-img src="@/assets/icons/user-avatar-32.svg" alt="avatar"></v-img>
				</v-avatar>
				<p class="user__name">{{ getAdminDetails.name || 'No name' }}</p>
			</div>

			<div class="text-center ml-8">
				<v-menu>
					<template v-slot:activator="{ props }">
						<v-btn v-bind="props" max-width="83">
							<v-avatar image="@/assets/icons/flag-uk.svg" size="24"></v-avatar>
							<p class="btn__title text-capitalize">En</p>
							<v-icon icon="mdi-chevron-down"></v-icon>
						</v-btn>
					</template>

					<v-list>
						<v-list-item>
							<v-list-item-title>Ru</v-list-item-title>
							<v-list-item-title>En</v-list-item-title>
						</v-list-item>
					</v-list>
				</v-menu>
			</div>
		</v-toolbar>
	</v-app-bar>
</template>

<script lang="ts">
import { mapGetters } from 'vuex'

export default {
	name: 'Navbar',
	props: {
		title: {
			type: String,
			default: '',
		},
	},
	computed: {
		...mapGetters(['getAdminDetails']),
	},
}
</script>

<style lang="scss" scoped>
.v-toolbar__content {
	.v-toolbar-title {
		font-size: 32px;
		font-weight: 700;
		line-height: 38px;
		margin-inline-start: 0px;
	}

	.toolbar__count-car {
		color: var(--Text-Dark-Grey, rgba(41, 49, 72, 0.8));
		font-size: 15px;
		font-style: normal;
		font-weight: 700;
		line-height: 22px;
	}
}

.user__name {
	padding-left: 14px;
	font-size: 15px;
	font-weight: 500;
	line-height: 22px;
}

.btn__title {
	padding: 0 3px 0 14px;
	font-size: 15px;
	font-weight: 500;
	line-height: 22px;
}

.btn__down {
	padding: 0;
	margin: 0;
	min-width: 42px;
}
</style>
